package jpatp.column;


import java.io.Serializable;
import javax.persistence.*;

@Entity
public class PersonEntity implements Serializable {

    /**
     * 
     */
    private static final long serialVersionUID = -3422449416063769464L;

    @Id
    private int id;

    private String firstName;

    private String lastName2;

    public PersonEntity(int id, String firstName, String lastName2)
    {
        super();
        // auto generated contructor stub
        this.id = id;
        this.firstName = firstName;
        this.lastName2 = lastName2;
    }

    public PersonEntity() {
    }

    public int getId() {
        return this.id;
    }
    public void setId(int id) {
        this.id = id;
    }

    public void setFirstName(String firstName) {
        this.firstName = firstName;
    } 
    public String getFirstName() {
        return this.firstName;
    }

    public void setLastName2(String lastName2) {
        this.lastName2 = lastName2;
    } 

	@Column(name="LASTNAME")
    public String getLastName2() {
        return this.lastName2;
    }


}
